Biblioteka/Models/Notice.cs
using FluentNHibernate.Mapping;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Biblioteka.Models
{
    public class Notice
    {
        public virtual int Id { get; set; }
        public virtual string Title { get; set; }
        public virtual string Description { get; set; }
        public class Map : ClassMap<Notice>
        {
            public Map()
            {
                Table("Notices");
                Id(x => x.Id).GeneratedBy.Identity();
                Map(x => x.Title).Not.Nullable();
                Map(x => x.Description).Not.Nullable();
            }
        }
    }
}

Biblioteka/Controllers/NoticeController.cs
using Biblioteka.Models;
using NHibernate;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Web;
using System.Web.Mvc;


namespace Biblioteka.Controllers
{
    public class NoticeController : AuthorizationController
    {
        public ActionResult Index()
        {
            using (ISession session = database.MakeSession())
            {

                        var notices = session.QueryOver<Notice>().List();
                        return View(notices.Reverse().Take(5));
            }
         }
    
        public ActionResult IndexAdmin()
        {
            if (!IsLogged()) { return RedirectToAction("Login", "Account"); }
            using (ISession session = database.MakeSession())
            {
                ValidateReaderForbiddenAccess(session);
                var notices = session.QueryOver<Notice>().List();
                return View(notices);
            }
        }



        public ActionResult Create()
        {
            try
            {
                using (ISession session = database.MakeSession())
                {
                    if (!IsLogged()) return RedirectToAction("Login", "Account");
                    ValidateReaderForbiddenAccess(session);
                }
                return View();
            }
            catch (UnauthorizedAccessException)
            {
                return RedirectToAction("Forbidden", "Error");
            }
            catch (Exception)
            {
                return RedirectToAction("IndexAdmin");
            }
        }

        [HttpPost]
        public ActionResult Create(Notice notice)
        {
            try
            {
                using (ISession session = database.MakeSession())
                {
                    if (ModelState.IsValid)
                    {
                        using (var transaction = session.BeginTransaction())
                        {
                            session.SaveOrUpdate(notice);
                            session.Flush();
                            transaction.Commit();
                            session.Close();

                        }
                        return RedirectToAction("IndexAdmin");

                    }
                    else
                    {
                        return View(notice);
                    }
                }
            }
            catch (Exception)
            {
                return View();
            }
        }

        public ActionResult Delete(int id)
        {
            try
            {
                if (!IsLogged()) return RedirectToAction("Login", "Account");
                using (ISession session = database.MakeSession())
                {
                    ValidateReaderForbiddenAccess(session);
                    var notice = session.Get<Notice>(id);
                    return View(notice);
                }
            }
            catch (UnauthorizedAccessException)
            {
                return RedirectToAction("Forbidden", "Error");
            }
            catch (Exception)
            {
                return RedirectToAction("Index");
            }
        }

        [HttpPost]
        public ActionResult Delete(int id, Notice notice)
        {
            try
            {
                using (ISession session = database.MakeSession())
                {
                    using (ITransaction transaction = session.BeginTransaction())
                    {
                        var noticeToDelete = session.Get<Notice>(id);
                        session.Delete(noticeToDelete);
                        transaction.Commit();
                        session.Close();
                    }
                }
                return RedirectToAction("Index");
            }
            catch (Exception exception)
            {
                return View();
            }
        }

        public ActionResult Edit(int id)
        {
            try
            {
                if (!IsLogged()) return RedirectToAction("Login", "Account");
                using (ISession session = database.MakeSession())
                {
                    ValidateReaderForbiddenAccess(session);
                    var notice = session.Get<Notice>(id);
                    return View(notice);
                }
            }
            catch (UnauthorizedAccessException)
            {
                return RedirectToAction("Forbidden", "Error");
            }
            catch (Exception)
            {
                return RedirectToAction("IndexAdmin");
            }
        }

        [HttpPost]
        public ActionResult Edit(int id, Notice notice)
        {
            try
            {
                using (ISession session = database.MakeSession())
                {
                    using (ITransaction transaction = session.BeginTransaction())
                    {
                        var noticeToEdit = session.Get<Notice>(id);
                        noticeToEdit.Title = notice.Title;
                        noticeToEdit.Description = notice.Description;
                        transaction.Commit();
                        session.Close();
                    }
                }
                return RedirectToAction("IndexAdmin");
            }
            catch (Exception exception)
            {
                Debug.WriteLine(exception.Message);
                return View();
            }
        }
    }
}

Biblioteka/Views/Notice/Create.cshtml
@model Biblioteka.Models.Notice

@{
    ViewBag.Title = "Create";
}



@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h2>Create new notice</h2>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.Title, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Title, new { htmlAttributes = new { @class = "form-control notice-form" } })
                @Html.ValidationMessageFor(model => model.Title, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.Description, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.TextAreaFor(model => model.Description, 10, 300, new { @class = "form-control notice-form" })
                @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn default-button" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "IndexAdmin",null, new { @class = "redirect-button" })
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

Biblioteka/Views/Notice/Delete.cshtml
@model Biblioteka.Models.Notice

@{
    ViewBag.Title = "Delete";
}


<h3>Are you sure you want to delete this?</h3>
<div>
    <h4>Notice</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Title)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Title)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Description)
        </dt>
        <dd>
            @Html.DisplayFor(model => model.Description)
        </dd>

    </dl>

    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Delete" class="btn btn-default" /> |
            @Html.ActionLink("Back to List", "IndexAdmin")
        </div>
    }
</div>

Biblioteka/Views/Notice/Edit.cshtml
@model Biblioteka.Models.Notice

@{
    ViewBag.Title = "Edit";
}



@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>Edit notice</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.Title, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Title, new { htmlAttributes = new { @class = "form-control notice-form" } })
                @Html.ValidationMessageFor(model => model.Title, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Description, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.TextAreaFor(model => model.Description, 20, 150, new { @class = "form-control notice-form" })

                @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn default-button" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "IndexAdmin",null, new { @class = "redirect-button" })
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

Biblioteka/Views/Notice/Index.cshtml
@model IEnumerable<Biblioteka.Models.Notice>

@{
    ViewBag.Title = "Index";
}

<div class="col-md-12">
    <h2 id="news-header">NEWS</h2>
</div>


@foreach (var item in Model) {
    <div class="col-md-12 notice-div">
        <div class="col-md-12 notice-title" style="font-size:18px">
            @Html.DisplayFor(modelItem => item.Title)
            </div>
        <div class="col-md-12 notice-description" style="font-size:15px">
            @Html.DisplayFor(modelItem => item.Description)
        </div>
    </div>

}

Biblioteka/Views/Notice/IndexAdmin.cshtml
@model IEnumerable<Biblioteka.Models.Notice>

@{
    ViewBag.Title = "IndexAdmin";
}

<h2>All notices</h2>

<p>
    @Html.ActionLink("Create New", "Create", null, new { @class = "redirect-button" })
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Title)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Description)
        </th>
        <th></th>
        <th></th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Title)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Description)
        </td>
        <td>

        <td class="icon-td">
            <a href="@Url.Action("Edit", "Notice", new {id = item.Id})">

                <img src="~/images/edit.png" class="link-img" />
            </a>
        </td>

        <td class="icon-td">
            <a href="@Url.Action("Delete", "Notice", new {id = item.Id})">

                <img src="~/images/remove.png" class="link-img" />
            </a>
        </td>

    </tr>
}

</table>